org.springframework.data.web

## Interface PageableArgumentResolver

All Superinterfaces:
  HandlerMethodArgumentResolver

All Known Implementing Classes:
  HateoasPageableHandlerMethodArgumentResolver, PageableHandlerMethodArgumentResolver

    public interface PageableArgumentResolver
    extends HandlerMethodArgumentResolver

Argument resolver to extract a `Pageable` object from a `NativeWebRequest` for a particular `MethodParameter`. A `PageableArgumentResolver` can either resolve `Pageable` itself or wrap another `PageableArgumentResolver` to post-process `Pageable`. `Pageable` resolution yields either in a `Pageable` object or null if `Pageable` cannot be resolved.

Since:
  1.13
Author:
  Mark Paluch
See Also:
  `HandlerMethodArgumentResolver`

### Method Summary

All Methods Instance Methods Abstract Methods
`Pageable` `resolveArgument(MethodParameter parameter, ModelAndViewContainer mavContainer, NativeWebRequest webRequest, WebDataBinderFactory binderFactory)` Resolves a `Pageable` method parameter into an argument value from a given request.

### Methods inherited from interface org.springframework.web.method.support.HandlerMethodArgumentResolver

`supportsParameter`

### Method Detail

#### resolveArgument

    @Nonnull
    Pageable resolveArgument(MethodParameter parameter,
                                      @Nullable
                                      ModelAndViewContainer mavContainer,
                                      NativeWebRequest webRequest,
                                      @Nullable
                                      WebDataBinderFactory binderFactory)

Resolves a `Pageable` method parameter into an argument value from a given request.

Specified by:
  `resolveArgument` in interface `HandlerMethodArgumentResolver`
Parameters:
  `parameter` - the method parameter to resolve. This parameter must have previously been passed to `HandlerMethodArgumentResolver.supportsParameter(org.springframework.core.MethodParameter)` which must have returned `true`.
  `mavContainer` - the ModelAndViewContainer for the current request
  `webRequest` - the current request
  `binderFactory` - a factory for creating `WebDataBinder` instances
Returns:
  the resolved argument value.